<?php
$erros = array();
$novalist = array();

$sqlconf = mysql_query("SELECT * FROM config WHERE id = 3");
$conf =  mysql_fetch_assoc($sqlconf);

$asup = $conf['sup'];
$alat = $conf['lat'];
$ainf = $conf['inf'];

$emailsite = $conf['email'];
$nomeplural = $conf['nomeplural'];
$nomesingular = $conf['nomesingular'];
$nometitulo = $conf['nometitulo'];
$siglaestado = $conf['siglaestado'];

$datapost = array();
$datapost['captcha2'] =filter_var(trim($_SESSION['captcha']), FILTER_SANITIZE_STRING);
$datapost['captcha']  =filter_var(trim($_POST['captcha']), FILTER_SANITIZE_STRING);


if (!empty($datapost['captcha'])) {
    if (empty($datapost['captcha2']) || trim(strtolower($datapost['captcha'])) != $datapost['captcha2']) {

		$erros['captcha'] = 'Digite o código captcha corretamente';
    }   
    unset($datapost['captcha2']);
} else {

	$erros['captcha'] = 'Digite o código captcha corretamente';
}



$empresa  = filter_var(trim($_POST['empresa']), FILTER_SANITIZE_STRING);
$email  = filter_var(trim($_POST['email']), FILTER_SANITIZE_STRING);
$endereco  = filter_var(trim($_POST['endereco']), FILTER_SANITIZE_STRING);
$id  = filter_var(trim($_POST['id']), FILTER_SANITIZE_STRING);
$telefone  = filter_var(trim($_POST['telefone']), FILTER_SANITIZE_STRING);
$responsavel  = filter_var(trim($_POST['responsavel']), FILTER_SANITIZE_STRING);
$cidade  = filter_var(trim($_POST['cidade']), FILTER_SANITIZE_STRING);
$cnpj  = filter_var(trim($_POST['cnpj']), FILTER_SANITIZE_STRING);

$msg         = filter_var(trim($_POST['msg']), FILTER_SANITIZE_STRING);

if(empty($cnpj)){  $erros['cnpj'] = 'Digite seu CNPJ';   }
if(empty($responsavel)){  $erros['responsavel'] = 'Digite seu nome completo';   }
if(empty($empresa)){  $erros['empresa'] = 'Digite o nome da sua empresa';   }
if(!filter_var(trim($email), FILTER_VALIDATE_EMAIL)){  $erros['email'] = 'Digite seu email corretamente';   }
if(empty($telefone)){  $erros['telefone'] = 'Digite um telefone válido';   }
if(empty($cidade) || $cidade==''){  $erros['cidade'] = 'Digite o nome da sua cidade';   }
if(empty($msg)){  $erros['msg'] = 'Digite uma mensagem';   }

if(sizeof($erros)>0){

	$erros['erros'] = 1;

}else{

$erros['erros'] = 0;

$headers  = "From: $nometitulo<$emailsite>\r\n"; 
$headers .= "Reply-To: $emailsite\r\n"; 
$headers .= 'MIME-Version: 1.0' . "\n"; 
$headers .= 'Content-type: text/html; charset=utf8' . "\r\n"; 



$corpo  = "<html><body>";
$corpo  .= "<h1>Editar ou Remover dos dados desta Empresa</h1>";
$corpo .= "<p>Olá <strong>$responsavel</strong>, recebemos o seu contato. </p>";
$corpo .= "<p>Estaremos realizando a sua solicitão.</p>";
$corpo .= "<p><strong>CNPJ:</strong> $cnpj</p>";
$corpo .= "<p><strong>Empresa:</strong> $empresa</p>";
$corpo .= "<p><strong>E-mail:</strong> $email</p>";
$corpo .= "<p><strong>Telefone:</strong> $telefone</p>";
$corpo .= "<p><strong>Responsável:</strong> $responsavel</p>";
$corpo .= "<p><strong>Cidade:</strong> $cidade</p>";
$corpo .= "<p><strong>Endereço:</strong> $endereco</p>";



$corpo .= "<p><strong>Mensagem:</strong> $msg</p>";
$corpo .= "<p>$id</p>";

$corpo .= "<p>-</p>";
$corpo .= "<p><strong>$nometitulo - $siglaestado</strong></p>";
$corpo .= "<p>Não precisa responder este email.</p>";


$corpo  .= "</body><html>";

mail($email, 'Edição/Remoção - '. $nometitulo, $corpo, $headers);
mail($emailsite, 'Edição/Remoção - '. $nometitulo, $corpo, $headers); 
//mail('sarah_abreu@outlook.com', 'Edição - '.$nometitulo.' --------', $corpo, $headers); 

/*
     $sendmail = smtpmailer($corpo, 'contato@aguanabocagastro.com.br', "Água na Boca Gastrô",  $email, $nome,  $email, $nome);
      $sendmail = smtpmailer($corpo, $email, "Água na Boca Gastrô", 'naoresponda@aguanabocagastro.com.br', 'Água na Boca Gastrô', 'contato@aguanabocagastro.com.br', 'Água na Boca Gastrô');
      $sendmail = smtpmailer($corpo, 'adriano@nuvon.com.br', "Água na Boca Gastrô", 'naoresponda@aguanabocagastro.com.br', 'Água na Boca Gastrô', 'contato@aguanabocagastro.com.br', 'Água na Boca Gastrô');
*/
}

echo json_encode($erros);

//HTML COMPRA PARA EMAIL



